# d3plus

**D3plus** is a JavaScript re-usable chart library that extends the popular **[D3.js](https://d3js.org/)** to enable the easy creation of beautiful visualizations.

## Installing

If using npm, `npm install d3plus`. Otherwise, you can download the [latest release from GitHub](https://github.com/d3plus/d3plus/releases/latest) or load from a [CDN](https://cdn.jsdelivr.net/npm/d3plus@2).

```js
import modules from "d3plus";
```

d3plus can be loaded as a standalone library or bundled as part of [D3plus](https://github.com/d3plus/d3plus). ES modules, AMD, CommonJS, and vanilla environments are supported. In vanilla, a `d3plus` global is exported:

```html
<script src="https://cdn.jsdelivr.net/npm/d3plus@2"></script>
<script>
  console.log(d3plus);
</script>
```

## Resources

Examples and documentation are published in a Storybook [here](https://d3plus.org/). Each example has controls that are able to modified on the fly, documentation for each method used, and an example code output for the [d3plus-react](https://github.com/d3plus/d3plus-react) configurations.

### [Examples and Documentation](https://d3plus.org/)

## Modules

**D3plus 2.0** is a [collection of modules](https://github.com/d3plus) that are designed to work together; you can use the modules independently, or you can use them together as part of the default build. The source and documentation for each module is available in its repository. Follow the links below to learn more.

### Core Packages

* [d3plus-axis](https://github.com/d3plus/d3plus-axis)
* [d3plus-color](https://github.com/d3plus/d3plus-color)
* [d3plus-common](https://github.com/d3plus/d3plus-common)
* [d3plus-export](https://github.com/d3plus/d3plus-export)
* [d3plus-format](https://github.com/d3plus/d3plus-format)
* [d3plus-geomap](https://github.com/d3plus/d3plus-geomap)
* [d3plus-hierarchy](https://github.com/d3plus/d3plus-hierarchy)
* [d3plus-legend](https://github.com/d3plus/d3plus-legend)
* [d3plus-matrix](https://github.com/d3plus/d3plus-matrix)
* [d3plus-network](https://github.com/d3plus/d3plus-network)
* [d3plus-plot](https://github.com/d3plus/d3plus-plot)
* [d3plus-priestley](https://github.com/d3plus/d3plus-priestley)
* [d3plus-shape](https://github.com/d3plus/d3plus-shape)
* [d3plus-text](https://github.com/d3plus/d3plus-text)
* [d3plus-timeline](https://github.com/d3plus/d3plus-timeline)
* [d3plus-tooltip](https://github.com/d3plus/d3plus-tooltip)
* [d3plus-viz](https://github.com/d3plus/d3plus-viz)

### React Usage

* [d3plus-react](https://github.com/d3plus/d3plus-react)

### Examples and Documentation

* [d3plus-storybook](https://github.com/d3plus/d3plus-storybook)
