export var name = "d3plus";
export var version = "2.1.0";
export var description = "Data visualization made easy. A javascript library that extends the popular D3.js to enable fast and beautiful visualizations.";
export var main = "es/index.js";
export var license = "MIT";
export var homepage = "https://d3plus.org";
export var repository = {"type":"git","url":"https://github.com/d3plus/d3plus.git"};
export var keywords = ["charts","d3","d3plus","data","visualization"];
export var author = {"name":"Dave Landry","email":"landry.dave@gmail.com","url":"http://www.dave-landry.com"};
export var dependencies = {"d3plus-axis":"^1.2.1","d3plus-color":"^1.1.2","d3plus-common":"^1.2.4","d3plus-export":"^1.2.0","d3plus-format":"^1.2.2","d3plus-geomap":"^1.1.0","d3plus-hierarchy":"^1.1.0","d3plus-legend":"^1.2.0","d3plus-matrix":"^1.2.0","d3plus-network":"^1.1.0","d3plus-plot":"^1.2.1","d3plus-priestley":"^1.1.0","d3plus-shape":"^1.1.0","d3plus-text":"^1.2.1","d3plus-timeline":"^1.1.0","d3plus-tooltip":"^1.1.0","d3plus-viz":"^1.3.0"};
export var scripts = {"build":"mkdir -p build && json2module package.json > build/package.js && d3plus-build && mkdir -p es/build && cp build/package.js es/build/package.js","dev":"d3plus-dev","env":"d3plus-env","prepublishOnly":"npm run test","pretest":"npm run build","release":"npm publish","test":"eslint index.js && mocha 'test/**/*-test.js'"};
export var devDependencies = {"d3plus-dev":"^1.2.9","json2module":"0.0.3"};
export var module = "es/index.js";
export var files = ["bin","build/d3plus.js","build/d3plus.js.map","build/d3plus.min.js","es"];
export var sideEffects = false;
export var jsdelivr = "build/d3plus.full.min.js";
export var unpkg = "build/d3plus.full.min.js";
export var type = "module";
